Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.relaxns.verifier
Class IslandSchemaImpl.Binder

    java.lang.Object
      com.sun.msv.grammar.ExpressionCloner
          com.sun.msv.relaxns.verifier.IslandSchemaImpl.Binder

All Implemented Interfaces:
  ExpressionVisitorExpression

Enclosing class:
  IslandSchemaImpl

public static class IslandSchemaImpl.Binder
extends ExpressionCloner

replaces all ExternalElementExp and ExternalAttributeExp by actual definitions. these two expressions forms the fundamental mechanism of schema interaction.

Field Summary
`static java.lang.String` | `ERR_UNDEFINED_NAMESPACE`
`static java.lang.String` | `ERR_UNEXPORTED_ATTRIBUTE_DECL`
`static java.lang.String` | `ERR_UNEXPORTED_ELEMENT_DECL`
`static java.lang.String` | `ERR_UNSUPPROTED_ATTRIBUTES_IMPORT`

Constructor Summary
`IslandSchemaImpl.Binder(org.iso_relax.dispatcher.SchemaProvider provider, org.xml.sax.ErrorHandler errorHandler, ExpressionPool pool)`

Method Summary
`java.lang.String` | `localize(java.lang.String prop)`
`java.lang.String` | `localize(java.lang.String prop, java.lang.Object arg1)`
`java.lang.String` | `localize(java.lang.String propertyName, java.lang.Object[] args)` localizes messages.
`java.lang.String` | `localize(java.lang.String prop, java.lang.Object arg1, java.lang.Object arg2)`
`Expression` | `onAttribute(AttributeExp exp)`
`Expression` | `onElement(ElementExp exp)`
`Expression` | `onOther(OtherExp exp)`
`Expression` | `onRef(ReferenceExp exp)`

Methods inherited from class com.sun.msv.grammar.ExpressionCloner
`onAnyString, onChoice, onConcur, onData, onEpsilon, onInterleave, onList, onMixed, onNullSet, onOneOrMore, onSequence, onValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ERR_UNEXPORTED_ELEMENT_DECL

    public static final java.lang.String ERR_UNEXPORTED_ELEMENT_DECL

See Also:
  Constant Field Values

### ERR_UNDEFINED_NAMESPACE

    public static final java.lang.String ERR_UNDEFINED_NAMESPACE

See Also:
  Constant Field Values

### ERR_UNEXPORTED_ATTRIBUTE_DECL

    public static final java.lang.String ERR_UNEXPORTED_ATTRIBUTE_DECL

See Also:
  Constant Field Values

### ERR_UNSUPPROTED_ATTRIBUTES_IMPORT

    public static final java.lang.String ERR_UNSUPPROTED_ATTRIBUTES_IMPORT

See Also:
  Constant Field Values

Constructor Detail

### IslandSchemaImpl.Binder

    public IslandSchemaImpl.Binder(org.iso_relax.dispatcher.SchemaProvider provider,
                                   org.xml.sax.ErrorHandler errorHandler,
                                   ExpressionPool pool)

Method Detail

### onAttribute

    public Expression onAttribute(AttributeExp exp)

### onRef

    public Expression onRef(ReferenceExp exp)

### onOther

    public Expression onOther(OtherExp exp)

### onElement

    public Expression onElement(ElementExp exp)

### localize

    public java.lang.String localize(java.lang.String propertyName,
                                     java.lang.Object[] args)

  localizes messages. derived class can override this method to provide schema languagespecific error messages.

### localize

    public java.lang.String localize(java.lang.String prop)

### localize

    public java.lang.String localize(java.lang.String prop,
                                     java.lang.Object arg1)

### localize

    public java.lang.String localize(java.lang.String prop,
                                     java.lang.Object arg1,
                                     java.lang.Object arg2)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD